Eclipse Platform Release 3.7

## org.eclipse.ui.application
Interface IWorkbenchWindowConfigurer

    public interface IWorkbenchWindowConfigurer

Interface providing special access for configuring workbench windows.

Window configurer objects are in 1-1 correspondence with the workbench windows they configure. Clients may use `get/setData` to associate arbitrary state with the window configurer object.

Note that these objects are only available to the main application (the plug-in that creates and owns the workbench).

This interface is not intended to be implemented by clients.

Since:
  3.0
See Also:
  `IWorkbenchConfigurer.getWindowConfigurer(org.eclipse.ui.IWorkbenchWindow)`, `WorkbenchAdvisor.preWindowOpen(org.eclipse.ui.application.IWorkbenchWindowConfigurer)`
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`void` `addEditorAreaTransfer(Transfer transfer)` Adds the given drag and drop `Transfer` type to the ones supported for drag and drop on the editor area of this workbench window.
`void` `configureEditorAreaDropListener(DropTargetListener dropTargetListener)` Configures the drop target listener for the editor area of this workbench window.
`Control` `createCoolBarControl(Composite parent)` Creates the cool bar control.
`Menu` `createMenuBar()` Creates the menu bar for the window's shell.
`Control` `createPageComposite(Composite parent)` Creates the page composite, in which the window's pages, and their views and editors, appear.
`Control` `createStatusLineControl(Composite parent)` Creates the status line control.
`IActionBarConfigurer` `getActionBarConfigurer()` Returns the action bar configurer for this workbench window.
`Object` `getData(String key)` Returns the data associated with this workbench window at the given key.
`Point` `getInitialSize()` Returns the size to use for the window's shell when it is created.
`AbstractPresentationFactory` `getPresentationFactory()` Deprecated. the presentation factory is now obtained via extension point and a preference on org.eclipse.ui specifying which one to use; see IWorkbenchPreferenceConstants.PRESENTATION_FACTORY_ID
`int` `getShellStyle()` Returns the style bits to use for the window's shell when it is created.
`boolean` `getShowCoolBar()` Returns whether the underlying workbench window has a cool bar.
`boolean` `getShowFastViewBars()` Returns whether the underlying workbench window has fast view bars.
`boolean` `getShowMenuBar()` Returns whether the underlying workbench window has a menu bar.
`boolean` `getShowPerspectiveBar()` Returns whether the underlying workbench window has a perspective bar (the perspective bar provides buttons to quickly switch between perspectives).
`boolean` `getShowProgressIndicator()` Returns whether the underlying workbench window has a progress indicator.
`boolean` `getShowStatusLine()` Returns whether the underlying workbench window has a status line.
`String` `getTitle()` Returns the title of the underlying workbench window.
`IWorkbenchWindow` `getWindow()` Returns the underlying workbench window.
`IWorkbenchConfigurer` `getWorkbenchConfigurer()` Returns the workbench configurer.
`IStatus` `saveState(IMemento memento)` Saves the current state of the window using the specified memento.
`void` `setData(String key, Object data)` Sets the data associated with this workbench window at the given key.
`void` `setInitialSize(Point initialSize)` Sets the size to use for the window's shell when it is created.
`void` `setPresentationFactory(AbstractPresentationFactory factory)` Deprecated. the presentation factory is now obtained via extension point and a preference on org.eclipse.ui specifying which one to use; see IWorkbenchPreferenceConstants.PRESENTATION_FACTORY_ID
`void` `setShellStyle(int shellStyle)` Sets the style bits to use for the window's shell when it is created.
`void` `setShowCoolBar(boolean show)` Sets whether the underlying workbench window has a cool bar.
`void` `setShowFastViewBars(boolean enable)` Sets whether the underlying workbench window has fast view bars.
`void` `setShowMenuBar(boolean show)` Sets whether the underlying workbench window has a menu bar.
`void` `setShowPerspectiveBar(boolean show)` Sets whether the underlying workbench window has a perspective bar (the perspective bar provides buttons to quickly switch between perspectives).
`void` `setShowProgressIndicator(boolean show)` Sets whether the underlying workbench window has a progress indicator.
`void` `setShowStatusLine(boolean show)` Sets whether the underlying workbench window has a status line.
`void` `setTitle(String title)` Sets the title of the underlying workbench window.

Method Detail

### getWindow

    IWorkbenchWindow getWindow()

  Returns the underlying workbench window.

  Returns:
    the workbench window

### getWorkbenchConfigurer

    IWorkbenchConfigurer getWorkbenchConfigurer()

  Returns the workbench configurer.

  Returns:
    the workbench configurer

### getActionBarConfigurer

    IActionBarConfigurer getActionBarConfigurer()

  Returns the action bar configurer for this workbench window.

  Returns:
    the action bar configurer

### getTitle

    String getTitle()

  Returns the title of the underlying workbench window.

  Returns:
    the window title

### setTitle

    void setTitle(String title)

  Sets the title of the underlying workbench window.

  Parameters:
    `title` - the window title

### getShowMenuBar

    boolean getShowMenuBar()

  Returns whether the underlying workbench window has a menu bar.

  The initial value is `true`.

  Returns:
    `true` for a menu bar, and `false` for no menu bar

### setShowMenuBar

    void setShowMenuBar(boolean show)

  Sets whether the underlying workbench window has a menu bar. When this method is not called, the value defaults to `true`

  Parameters:
    `show` - `true` for a menu bar, and `false` for no menu bar

### getShowCoolBar

    boolean getShowCoolBar()

  Returns whether the underlying workbench window has a cool bar.

  The initial value is `true`.

  Returns:
    `true` for a cool bar, and `false` for no cool bar

### setShowCoolBar

    void setShowCoolBar(boolean show)

  Sets whether the underlying workbench window has a cool bar. When this method is not called, the value defaults to `true`

  Parameters:
    `show` - `true` for a cool bar, and `false` for no cool bar

### getShowStatusLine

    boolean getShowStatusLine()

  Returns whether the underlying workbench window has a status line.

  The initial value is `true`.

  Returns:
    `true` for a status line, and `false` for no status line

### setShowStatusLine

    void setShowStatusLine(boolean show)

  Sets whether the underlying workbench window has a status line. When this method is not called, the value defaults to `true`

  Parameters:
    `show` - `true` for a status line, and `false` for no status line

### getShowPerspectiveBar

    boolean getShowPerspectiveBar()

  Returns whether the underlying workbench window has a perspective bar (the perspective bar provides buttons to quickly switch between perspectives).

  The initial value is `false`.

  Returns:
    `true` for a perspective bar, and `false` for no perspective bar

### setShowPerspectiveBar

    void setShowPerspectiveBar(boolean show)

  Sets whether the underlying workbench window has a perspective bar (the perspective bar provides buttons to quickly switch between perspectives). When this method is not called, the value defaults to `false`

  Parameters:
    `show` - `true` for a perspective bar, and `false` for no perspective bar

### getShowFastViewBars

    boolean getShowFastViewBars()

  Returns whether the underlying workbench window has fast view bars.

  The initial value is `false`.

  Returns:
    `true` for fast view bars, and `false` for no fast view bars

### setShowFastViewBars

    void setShowFastViewBars(boolean enable)

  Sets whether the underlying workbench window has fast view bars. When this method is not called, the value defaults to `false`

  Parameters:
    `enable` - `true` for fast view bars, and `false` for no fast view bars

### getShowProgressIndicator

    boolean getShowProgressIndicator()

  Returns whether the underlying workbench window has a progress indicator.

  The initial value is `false`.

  Returns:
    `true` for a progress indicator, and `false` for no progress indicator

### setShowProgressIndicator

    void setShowProgressIndicator(boolean show)

  Sets whether the underlying workbench window has a progress indicator. When this method is not called, the value defaults to `false`

  Parameters:
    `show` - `true` for a progress indicator, and `false` for no progress indicator

### getShellStyle

    int getShellStyle()

  Returns the style bits to use for the window's shell when it is created. The default is `SWT.SHELL_TRIM`.

  Returns:
    the shell style bits

### setShellStyle

    void setShellStyle(int shellStyle)

  Sets the style bits to use for the window's shell when it is created. This method has no effect after the shell is created. That is, it must be called within the `preWindowOpen` callback on `WorkbenchAdvisor`.

  For more details on the applicable shell style bits, see the documentation for `Shell`.

  Parameters:
    `shellStyle` - the shell style bits

### getInitialSize

    Point getInitialSize()

  Returns the size to use for the window's shell when it is created.

  Returns:
    the initial size to use for the shell

### setInitialSize

    void setInitialSize(Point initialSize)

  Sets the size to use for the window's shell when it is created. This method has no effect after the shell is created. That is, it must be called within the `preWindowOpen` callback on `WorkbenchAdvisor`.

  Parameters:
    `initialSize` - the initial size to use for the shell

### getData

    Object getData(String key)

  Returns the data associated with this workbench window at the given key.

  Parameters:
    `key` - the key
  Returns:
    the data, or `null` if there is no data at the given key

### setData

    void setData(String key,
                 Object data)

  Sets the data associated with this workbench window at the given key.

  Parameters:
    `key` - the key
    `data` - the data, or `null` to delete existing data

### addEditorAreaTransfer

    void addEditorAreaTransfer(Transfer transfer)

  Adds the given drag and drop `Transfer` type to the ones supported for drag and drop on the editor area of this workbench window.

  The workbench advisor would ordinarily call this method from the `preWindowOpen` callback. A newly-created workbench window supports no drag and drop transfer types. Adding `EditorInputTransfer.getInstance()` enables `IEditorInput`s to be transferred.

  Note that drag and drop to the editor area requires adding one or more transfer types (using `addEditorAreaTransfer`) and configuring a drop target listener (with `configureEditorAreaDropListener`) capable of handling any of those transfer types.

  Parameters:
    `transfer` - a drag and drop transfer object
  See Also:
    `configureEditorAreaDropListener(org.eclipse.swt.dnd.DropTargetListener)`, `EditorInputTransfer`

### configureEditorAreaDropListener

    void configureEditorAreaDropListener(DropTargetListener dropTargetListener)

  Configures the drop target listener for the editor area of this workbench window.

  The workbench advisor ordinarily calls this method from the `preWindowOpen` callback. A newly-created workbench window has no configured drop target listener for its editor area.

  Note that drag and drop to the editor area requires adding one or more transfer types (using `addEditorAreaTransfer`) and configuring a drop target listener (with `configureEditorAreaDropListener`) capable of handling any of those transfer types.

  Parameters:
    `dropTargetListener` - the drop target listener that will handle requests to drop an object on to the editor area of this window
  See Also:
    `addEditorAreaTransfer(org.eclipse.swt.dnd.Transfer)`

### getPresentationFactory

    AbstractPresentationFactory getPresentationFactory()

  Deprecated. the presentation factory is now obtained via extension point and a preference on org.eclipse.ui specifying which one to use; see IWorkbenchPreferenceConstants.PRESENTATION_FACTORY_ID

  Returns the presentation factory for this window. The window consults its presentation factory for the presentation aspects of views, editors, status lines, and other components of the window.

  If no presentation factory has been set, a default one is returned.

  Returns:
    the presentation factory used for this window

### setPresentationFactory

    void setPresentationFactory(AbstractPresentationFactory factory)

  Deprecated. the presentation factory is now obtained via extension point and a preference on org.eclipse.ui specifying which one to use; see IWorkbenchPreferenceConstants.PRESENTATION_FACTORY_ID

  Sets the presentation factory. The window consults its presentation factory for the presentation aspects of views, editors, status lines, and other components of the window.

  This must be called before the window's controls are created, for example in `preWindowOpen`.

  Parameters:
    `factory` - the presentation factory to use for this window

### createMenuBar

    Menu createMenuBar()

  Creates the menu bar for the window's shell.

  This should only be called if the advisor is defining custom window contents in `createWindowContents`, and may only be called once. The caller must set it in the shell using `Shell.setMenuBar(Menu)` but must not make add, remove or change items in the result. The menu bar is populated by the window's menu manager. The application can add to the menu manager in the advisor's `fillActionBars` method instead.

  Returns:
    the menu bar, suitable for setting in the shell

### createCoolBarControl

    Control createCoolBarControl(Composite parent)

  Creates the cool bar control.

  This should only be called if the advisor is defining custom window contents in `createWindowContents`, and may only be called once. The caller must lay out the cool bar appropriately within the parent, but must not add, remove or change items in the result (hence the return type of `Control`). The cool bar is populated by the window's cool bar manager. The application can add to the cool bar manager in the advisor's `fillActionBars` method instead.

  Parameters:
    `parent` - the parent composite
  Returns:
    the cool bar control, suitable for laying out in the parent

### createStatusLineControl

    Control createStatusLineControl(Composite parent)

  Creates the status line control.

  This should only be called if the advisor is defining custom window contents in `createWindowContents`, and may only be called once. The caller must lay out the status line appropriately within the parent, but must not add, remove or change items in the result (hence the return type of `Control`). The status line is populated by the window's status line manager. The application can add to the status line manager in the advisor's `fillActionBars` method instead.

  Parameters:
    `parent` - the parent composite
  Returns:
    the status line control, suitable for laying out in the parent

### createPageComposite

    Control createPageComposite(Composite parent)

  Creates the page composite, in which the window's pages, and their views and editors, appear.

  This should only be called if the advisor is defining custom window contents in `createWindowContents`, and may only be called once. The caller must lay out the page composite appropriately within the parent, but must not add, remove or change items in the result (hence the return type of `Control`). The page composite is populated by the workbench.

  Parameters:
    `parent` - the parent composite
  Returns:
    the page composite, suitable for laying out in the parent

### saveState

    IStatus saveState(IMemento memento)

  Saves the current state of the window using the specified memento.

  Parameters:
    `memento` - the memento in which to save the window's state
  Returns:
    a status object indicating whether the save was successful
  Since:
    3.1
  See Also:
    `IWorkbenchConfigurer.restoreWorkbenchWindow(IMemento)`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.